diff -aruN --binary 15/administrator/components/com_menus/helpers/helper.php 16/administrator/components/com_menus/helpers/helper.php
--- 15/administrator/components/com_menus/helpers/helper.php	2009-05-29 13:50:54.000000000 +0200
+++ 16/administrator/components/com_menus/helpers/helper.php	2010-04-23 13:40:10.000000000 +0200
@@ -1,9 +1,9 @@
 <?php
 /**
- * @version		$Id: helper.php 11646 2009-03-01 19:34:56Z ian $
+ * @version		$Id: helper.php 14996 2010-02-22 23:15:13Z ian $
  * @package		Joomla
  * @subpackage	Menus
- * @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
+ * @copyright	Copyright (C) 2005 - 2010 Open Source Matters. All rights reserved.
  * @license		GNU/GPL, see LICENSE.php
  * Joomla! is free software. This version may have been modified pursuant to the
  * GNU General Public License, and as distributed it includes or is derivative
@@ -54,7 +54,7 @@
 		$db = &JFactory::getDBO();
 		$query = 'SELECT c.id, c.name, c.link, c.option' .
 				' FROM #__components AS c' .
-				' WHERE c.link <> "" AND parent = 0' .
+				' WHERE c.link <> "" AND parent = 0 AND enabled = 1' .
 				' ORDER BY c.name';
 		$db->setQuery( $query );
 		$result = $db->loadObjectList( );
@@ -150,19 +150,19 @@
 		$published = JHTML::_('select.radiolist',  $put, 'published', '', 'value', 'text', $row->published );
 		return $published;
 	}
-	
+
 	/**
 	* clean system cache
-	*/ 
+	*/
 	function cleanCache()
 	{
 		global $mainframe;
-		
+
 		if ($mainframe->getCfg('caching')) {
 			// clean system cache
 			$cache =& JFactory::getCache('_system');
 			$cache->clean();
-			
+
 			// clean mod_mainmenu cache
 			$cache2 =& JFactory::getCache('mod_mainmenu');
 			$cache2->clean();
diff -aruN --binary 15/administrator/components/com_menus/models/item.php 16/administrator/components/com_menus/models/item.php
--- 15/administrator/components/com_menus/models/item.php	2009-05-29 13:50:54.000000000 +0200
+++ 16/administrator/components/com_menus/models/item.php	2010-04-23 13:40:10.000000000 +0200
@@ -1,9 +1,9 @@
 <?php
 /**
- * @version		$Id: item.php 11646 2009-03-01 19:34:56Z ian $
+ * @version		$Id: item.php 14401 2010-01-26 14:10:00Z louis $
  * @package		Joomla
  * @subpackage	Menus
- * @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
+ * @copyright	Copyright (C) 2005 - 2010 Open Source Matters. All rights reserved.
  * @license		GNU/GPL, see LICENSE.php
  * Joomla! is free software. This version may have been modified pursuant to the
  * GNU General Public License, and as distributed it includes or is derivative
diff -aruN --binary 15/administrator/components/com_menus/models/list.php 16/administrator/components/com_menus/models/list.php
--- 15/administrator/components/com_menus/models/list.php	2009-05-29 13:50:54.000000000 +0200
+++ 16/administrator/components/com_menus/models/list.php	2010-04-23 13:40:10.000000000 +0200
@@ -1,9 +1,9 @@
 <?php
 /**
- * @version		$Id: list.php 11646 2009-03-01 19:34:56Z ian $
+ * @version		$Id: list.php 16380 2010-04-23 09:19:48Z ian $
  * @package		Joomla
  * @subpackage	Menus
- * @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
+ * @copyright	Copyright (C) 2005 - 2010 Open Source Matters. All rights reserved.
  * @license		GNU/GPL, see LICENSE.php
  * Joomla! is free software. This version may have been modified pursuant to the
  * GNU General Public License, and as distributed it includes or is derivative
@@ -172,7 +172,7 @@
 						}
 						parse_str($query['query'], $view);
 					}
-					$list[$i]->view		= $list[$i]->com_name;
+					$list[$i]->view		= JText::_($list[$i]->com_name);
 					if (isset($view['view']))
 					{
 						$list[$i]->view	.= ' &raquo; '.JText::_(ucfirst($view['view']));
diff -aruN --binary 15/administrator/components/com_menus/models/menutype.php 16/administrator/components/com_menus/models/menutype.php
--- 15/administrator/components/com_menus/models/menutype.php	2009-05-29 13:50:54.000000000 +0200
+++ 16/administrator/components/com_menus/models/menutype.php	2010-04-23 13:40:10.000000000 +0200
@@ -1,9 +1,9 @@
 <?php
 /**
- * @version		$Id: menutype.php 11646 2009-03-01 19:34:56Z ian $
+ * @version		$Id: menutype.php 14401 2010-01-26 14:10:00Z louis $
  * @package		Joomla
  * @subpackage	Menus
- * @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
+ * @copyright	Copyright (C) 2005 - 2010 Open Source Matters. All rights reserved.
  * @license		GNU/GPL, see LICENSE.php
  * Joomla! is free software. This version may have been modified pursuant to the
  * GNU General Public License, and as distributed it includes or is derivative
diff -aruN --binary 15/administrator/components/com_menus/views/item/view.php 16/administrator/components/com_menus/views/item/view.php
--- 15/administrator/components/com_menus/views/item/view.php	2009-05-29 13:50:56.000000000 +0200
+++ 16/administrator/components/com_menus/views/item/view.php	2010-04-23 13:40:10.000000000 +0200
@@ -1,9 +1,9 @@
 <?php
 /**
-* @version		$Id: view.php 10559 2008-07-16 20:57:43Z instance $
+* @version		$Id: view.php 14401 2010-01-26 14:10:00Z louis $
 * @package		Joomla
 * @subpackage	Menus
-* @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
+* @copyright	Copyright (C) 2005 - 2010 Open Source Matters. All rights reserved.
 * @license		GNU/GPL, see LICENSE.php
 * Joomla! is free software. This version may have been modified pursuant
 * to the GNU General Public License, and as distributed it includes or
diff -aruN --binary 15/administrator/components/com_menus/views/list/view.php 16/administrator/components/com_menus/views/list/view.php
--- 15/administrator/components/com_menus/views/list/view.php	2009-05-29 13:50:56.000000000 +0200
+++ 16/administrator/components/com_menus/views/list/view.php	2010-04-23 13:40:10.000000000 +0200
@@ -1,9 +1,9 @@
 <?php
 /**
- * @version		$Id: view.php 11625 2009-02-15 15:32:42Z kdevine $
+ * @version		$Id: view.php 14401 2010-01-26 14:10:00Z louis $
  * @package		Joomla
  * @subpackage	Menus
- * @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
+ * @copyright	Copyright (C) 2005 - 2010 Open Source Matters. All rights reserved.
  * @license		GNU/GPL, see LICENSE.php
  * Joomla! is free software. This version may have been modified pursuant
  * to the GNU General Public License, and as distributed it includes or
diff -aruN --binary 15/administrator/components/com_menus/views/menus/view.php 16/administrator/components/com_menus/views/menus/view.php
--- 15/administrator/components/com_menus/views/menus/view.php	2009-05-29 13:50:54.000000000 +0200
+++ 16/administrator/components/com_menus/views/menus/view.php	2010-04-23 13:40:10.000000000 +0200
@@ -1,9 +1,9 @@
 <?php
 /**
- * @version		$Id: view.php 11625 2009-02-15 15:32:42Z kdevine $
+ * @version		$Id: view.php 14401 2010-01-26 14:10:00Z louis $
  * @package		Joomla
  * @subpackage	Menus
- * @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
+ * @copyright	Copyright (C) 2005 - 2010 Open Source Matters. All rights reserved.
  * @license		GNU/GPL, see LICENSE.php
  * Joomla! is free software. This version may have been modified pursuant
  * to the GNU General Public License, and as distributed it includes or
diff -aruN --binary 15/administrator/components/com_messages/admin.messages.html.php 16/administrator/components/com_messages/admin.messages.html.php
--- 15/administrator/components/com_messages/admin.messages.html.php	2009-05-29 13:51:20.000000000 +0200
+++ 16/administrator/components/com_messages/admin.messages.html.php	2010-04-23 13:40:10.000000000 +0200
@@ -1,9 +1,9 @@
 <?php
 /**
-* @version		$Id: admin.messages.html.php 10381 2008-06-01 03:35:53Z pasamio $
+* @version		$Id: admin.messages.html.php 14401 2010-01-26 14:10:00Z louis $
 * @package		Joomla
 * @subpackage	Messages
-* @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
+* @copyright	Copyright (C) 2005 - 2010 Open Source Matters. All rights reserved.
 * @license		GNU/GPL, see LICENSE.php
 * Joomla! is free software. This version may have been modified pursuant
 * to the GNU General Public License, and as distributed it includes or
diff -aruN --binary 15/administrator/components/com_messages/admin.messages.php 16/administrator/components/com_messages/admin.messages.php
--- 15/administrator/components/com_messages/admin.messages.php	2009-05-29 13:51:20.000000000 +0200
+++ 16/administrator/components/com_messages/admin.messages.php	2010-04-23 13:40:10.000000000 +0200
@@ -1,9 +1,9 @@
 <?php
 /**
-* @version		$Id: admin.messages.php 10710 2008-08-21 10:08:12Z eddieajau $
+* @version		$Id: admin.messages.php 14401 2010-01-26 14:10:00Z louis $
 * @package		Joomla
 * @subpackage	Messages
-* @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
+* @copyright	Copyright (C) 2005 - 2010 Open Source Matters. All rights reserved.
 * @license		GNU/GPL, see LICENSE.php
 * Joomla! is free software. This version may have been modified pursuant
 * to the GNU General Public License, and as distributed it includes or
diff -aruN --binary 15/administrator/components/com_messages/tables/message.php 16/administrator/components/com_messages/tables/message.php
--- 15/administrator/components/com_messages/tables/message.php	2009-05-29 13:51:20.000000000 +0200
+++ 16/administrator/components/com_messages/tables/message.php	2010-04-23 13:40:10.000000000 +0200
@@ -1,8 +1,8 @@
 <?php
 /**
- * @version		$Id: message.php 10381 2008-06-01 03:35:53Z pasamio $
+ * @version		$Id: message.php 14401 2010-01-26 14:10:00Z louis $
  * @package		Joomla
- * @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
+ * @copyright	Copyright (C) 2005 - 2010 Open Source Matters. All rights reserved.
  * @license		GNU/GPL, see LICENSE.php
  * Joomla! is free software. This version may have been modified pursuant
  * to the GNU General Public License, and as distributed it includes or
diff -aruN --binary 15/administrator/components/com_messages/toolbar.messages.html.php 16/administrator/components/com_messages/toolbar.messages.html.php
--- 15/administrator/components/com_messages/toolbar.messages.html.php	2009-05-29 13:51:20.000000000 +0200
+++ 16/administrator/components/com_messages/toolbar.messages.html.php	2010-04-23 13:40:10.000000000 +0200
@@ -1,9 +1,9 @@
 <?php
 /**
-* @version		$Id: toolbar.messages.html.php 10381 2008-06-01 03:35:53Z pasamio $
+* @version		$Id: toolbar.messages.html.php 14401 2010-01-26 14:10:00Z louis $
 * @package		Joomla
 * @subpackage	Messages
-* @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
+* @copyright	Copyright (C) 2005 - 2010 Open Source Matters. All rights reserved.
 * @license		GNU/GPL, see LICENSE.php
 * Joomla! is free software. This version may have been modified pursuant
 * to the GNU General Public License, and as distributed it includes or
diff -aruN --binary 15/administrator/components/com_messages/toolbar.messages.php 16/administrator/components/com_messages/toolbar.messages.php
--- 15/administrator/components/com_messages/toolbar.messages.php	2009-05-29 13:51:20.000000000 +0200
+++ 16/administrator/components/com_messages/toolbar.messages.php	2010-04-23 13:40:10.000000000 +0200
@@ -1,9 +1,9 @@
 <?php
 /**
-* @version		$Id: toolbar.messages.php 10381 2008-06-01 03:35:53Z pasamio $
+* @version		$Id: toolbar.messages.php 14401 2010-01-26 14:10:00Z louis $
 * @package		Joomla
 * @subpackage	Messages
-* @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
+* @copyright	Copyright (C) 2005 - 2010 Open Source Matters. All rights reserved.
 * @license		GNU/GPL, see LICENSE.php
 * Joomla! is free software. This version may have been modified pursuant
 * to the GNU General Public License, and as distributed it includes or
diff -aruN --binary 15/administrator/components/com_modules/admin.modules.html.php 16/administrator/components/com_modules/admin.modules.html.php
--- 15/administrator/components/com_modules/admin.modules.html.php	2009-05-29 13:51:22.000000000 +0200
+++ 16/administrator/components/com_modules/admin.modules.html.php	2010-04-23 13:40:10.000000000 +0200
@@ -1,9 +1,9 @@
 <?php
 /**
-* @version		$Id: admin.modules.html.php 11672 2009-03-08 20:39:41Z willebil $
+* @version		$Id: admin.modules.html.php 15182 2010-03-04 23:11:09Z ian $
 * @package		Joomla
 * @subpackage	Modules
-* @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
+* @copyright	Copyright (C) 2005 - 2010 Open Source Matters. All rights reserved.
 * @license		GNU/GPL, see LICENSE.php
 * Joomla! is free software. This version may have been modified pursuant
 * to the GNU General Public License, and as distributed it includes or
@@ -313,8 +313,7 @@
 								foreach ($positions as $position) {
 									echo '<li>'.$position.'</li>';
 								}
-							?>
-							</ul>
+							?></ul>
 							<script language="javascript" type="text/javascript">
 								window.addEvent('domready', function() { 
 									$('combobox-position-select').addEvent('change', function() {
diff -aruN --binary 15/administrator/components/com_modules/admin.modules.php 16/administrator/components/com_modules/admin.modules.php
--- 15/administrator/components/com_modules/admin.modules.php	2009-05-29 13:51:22.000000000 +0200
+++ 16/administrator/components/com_modules/admin.modules.php	2010-04-23 13:40:10.000000000 +0200
@@ -1,9 +1,9 @@
 <?php
 /**
- * @version		$Id: admin.modules.php 10381 2008-06-01 03:35:53Z pasamio $
+ * @version		$Id: admin.modules.php 14401 2010-01-26 14:10:00Z louis $
  * @package		Joomla
  * @subpackage	Modules
- * @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
+ * @copyright	Copyright (C) 2005 - 2010 Open Source Matters. All rights reserved.
  * @license		GNU/GPL, see LICENSE.php
  * Joomla! is free software. This version may have been modified pursuant
  * to the GNU General Public License, and as distributed it includes or
diff -aruN --binary 15/administrator/components/com_modules/controller.php 16/administrator/components/com_modules/controller.php
--- 15/administrator/components/com_modules/controller.php	2009-05-29 13:51:22.000000000 +0200
+++ 16/administrator/components/com_modules/controller.php	2010-04-23 13:40:10.000000000 +0200
@@ -1,9 +1,9 @@
 <?php
 /**
- * @version		$Id: controller.php 11655 2009-03-08 20:04:17Z willebil $
+ * @version		$Id: controller.php 14401 2010-01-26 14:10:00Z louis $
  * @package		Joomla
  * @subpackage	Modules
- * @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
+ * @copyright	Copyright (C) 2005 - 2010 Open Source Matters. All rights reserved.
  * @license		GNU/GPL, see LICENSE.php
  * Joomla! is free software. This version may have been modified pursuant
  * to the GNU General Public License, and as distributed it includes or
diff -aruN --binary 15/administrator/components/com_modules/helpers/xml.php 16/administrator/components/com_modules/helpers/xml.php
--- 15/administrator/components/com_modules/helpers/xml.php	2009-05-29 13:51:22.000000000 +0200
+++ 16/administrator/components/com_modules/helpers/xml.php	2010-04-23 13:40:10.000000000 +0200
@@ -1,9 +1,9 @@
 <?php
 /**
- * @version		$Id: xml.php 10381 2008-06-01 03:35:53Z pasamio $
+ * @version		$Id: xml.php 14401 2010-01-26 14:10:00Z louis $
  * @package		Joomla
  * @subpackage	Modules
- * @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
+ * @copyright	Copyright (C) 2005 - 2010 Open Source Matters. All rights reserved.
  * @license		GNU/GPL, see LICENSE.php
  * Joomla! is free software. This version may have been modified pursuant
  * to the GNU General Public License, and as distributed it includes or
diff -aruN --binary 15/administrator/components/com_modules/models/module.php 16/administrator/components/com_modules/models/module.php
--- 15/administrator/components/com_modules/models/module.php	2009-05-29 13:51:22.000000000 +0200
+++ 16/administrator/components/com_modules/models/module.php	2010-04-23 13:40:10.000000000 +0200
@@ -1,9 +1,9 @@
 <?php
 /**
- * @version		$Id: module.php 10381 2008-06-01 03:35:53Z pasamio $
+ * @version		$Id: module.php 14401 2010-01-26 14:10:00Z louis $
  * @package		Joomla
  * @subpackage	Modules
- * @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
+ * @copyright	Copyright (C) 2005 - 2010 Open Source Matters. All rights reserved.
  * @license		GNU/GPL, see LICENSE.php
  * Joomla! is free software. This version may have been modified pursuant
  * to the GNU General Public License, and as distributed it includes or
diff -aruN --binary 15/administrator/components/com_modules/toolbar.modules.html.php 16/administrator/components/com_modules/toolbar.modules.html.php
--- 15/administrator/components/com_modules/toolbar.modules.html.php	2009-05-29 13:51:22.000000000 +0200
+++ 16/administrator/components/com_modules/toolbar.modules.html.php	2010-04-23 13:40:10.000000000 +0200
@@ -1,9 +1,9 @@
 <?php
 /**
- * @version		$Id: toolbar.modules.html.php 10863 2008-08-30 06:52:50Z willebil $
+ * @version		$Id: toolbar.modules.html.php 14401 2010-01-26 14:10:00Z louis $
  * @package		Joomla
  * @subpackage	Modules
- * @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
+ * @copyright	Copyright (C) 2005 - 2010 Open Source Matters. All rights reserved.
  * @license		GNU/GPL, see LICENSE.php
  * Joomla! is free software. This version may have been modified pursuant
  * to the GNU General Public License, and as distributed it includes or
diff -aruN --binary 15/administrator/components/com_modules/toolbar.modules.php 16/administrator/components/com_modules/toolbar.modules.php
--- 15/administrator/components/com_modules/toolbar.modules.php	2009-05-29 13:51:22.000000000 +0200
+++ 16/administrator/components/com_modules/toolbar.modules.php	2010-04-23 13:40:10.000000000 +0200
@@ -1,9 +1,9 @@
 <?php
 /**
-* @version		$Id: toolbar.modules.php 10381 2008-06-01 03:35:53Z pasamio $
+* @version		$Id: toolbar.modules.php 14401 2010-01-26 14:10:00Z louis $
 * @package		Joomla
 * @subpackage	Modules
-* @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
+* @copyright	Copyright (C) 2005 - 2010 Open Source Matters. All rights reserved.
 * @license		GNU/GPL, see LICENSE.php
 * Joomla! is free software. This version may have been modified pursuant
 * to the GNU General Public License, and as distributed it includes or
diff -aruN --binary 15/administrator/components/com_newsfeeds/admin.newsfeeds.html.php 16/administrator/components/com_newsfeeds/admin.newsfeeds.html.php
--- 15/administrator/components/com_newsfeeds/admin.newsfeeds.html.php	2009-05-29 13:50:50.000000000 +0200
+++ 16/administrator/components/com_newsfeeds/admin.newsfeeds.html.php	2010-04-23 13:40:10.000000000 +0200
@@ -1,9 +1,9 @@
 <?php
 /**
-* @version		$Id: admin.newsfeeds.html.php 11655 2009-03-08 20:04:17Z willebil $
+* @version		$Id: admin.newsfeeds.html.php 14401 2010-01-26 14:10:00Z louis $
 * @package		Joomla
 * @subpackage	Newsfeeds
-* @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
+* @copyright	Copyright (C) 2005 - 2010 Open Source Matters. All rights reserved.
 * @license		GNU/GPL, see LICENSE.php
 * Joomla! is free software. This version may have been modified pursuant
 * to the GNU General Public License, and as distributed it includes or
diff -aruN --binary 15/administrator/components/com_newsfeeds/admin.newsfeeds.php 16/administrator/components/com_newsfeeds/admin.newsfeeds.php
--- 15/administrator/components/com_newsfeeds/admin.newsfeeds.php	2009-05-29 13:50:50.000000000 +0200
+++ 16/administrator/components/com_newsfeeds/admin.newsfeeds.php	2010-04-23 13:40:10.000000000 +0200
@@ -1,9 +1,9 @@
 <?php
 /**
-* @version		$Id: admin.newsfeeds.php 11371 2008-12-30 01:31:50Z ian $
+* @version		$Id: admin.newsfeeds.php 14401 2010-01-26 14:10:00Z louis $
 * @package		Joomla
 * @subpackage	Newsfeeds
-* @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
+* @copyright	Copyright (C) 2005 - 2010 Open Source Matters. All rights reserved.
 * @license		GNU/GPL, see LICENSE.php
 * Joomla! is free software. This version may have been modified pursuant
 * to the GNU General Public License, and as distributed it includes or
diff -aruN --binary 15/administrator/components/com_newsfeeds/elements/newsfeed.php 16/administrator/components/com_newsfeeds/elements/newsfeed.php
--- 15/administrator/components/com_newsfeeds/elements/newsfeed.php	2009-05-29 13:50:48.000000000 +0200
+++ 16/administrator/components/com_newsfeeds/elements/newsfeed.php	2010-04-23 13:40:10.000000000 +0200
@@ -1,8 +1,8 @@
 <?php
 /**
-* @version		$Id: newsfeed.php 10381 2008-06-01 03:35:53Z pasamio $
+* @version		$Id: newsfeed.php 14401 2010-01-26 14:10:00Z louis $
 * @package		Joomla
-* @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
+* @copyright	Copyright (C) 2005 - 2010 Open Source Matters. All rights reserved.
 * @license		GNU/GPL, see LICENSE.php
 * Joomla! is free software. This version may have been modified pursuant
 * to the GNU General Public License, and as distributed it includes or
diff -aruN --binary 15/administrator/components/com_newsfeeds/tables/newsfeed.php 16/administrator/components/com_newsfeeds/tables/newsfeed.php
--- 15/administrator/components/com_newsfeeds/tables/newsfeed.php	2009-05-29 13:50:48.000000000 +0200
+++ 16/administrator/components/com_newsfeeds/tables/newsfeed.php	2010-04-23 13:40:10.000000000 +0200
@@ -1,9 +1,9 @@
 <?php
 /**
-* @version		$Id: newsfeed.php 10381 2008-06-01 03:35:53Z pasamio $
+* @version		$Id: newsfeed.php 14401 2010-01-26 14:10:00Z louis $
 * @package		Joomla
 * @subpackage	Newsfeeds
-* @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
+* @copyright	Copyright (C) 2005 - 2010 Open Source Matters. All rights reserved.
 * @license		GNU/GPL, see LICENSE.php
 * Joomla! is free software. This version may have been modified pursuant
 * to the GNU General Public License, and as distributed it includes or
diff -aruN --binary 15/administrator/components/com_newsfeeds/toolbar.newsfeeds.html.php 16/administrator/components/com_newsfeeds/toolbar.newsfeeds.html.php
--- 15/administrator/components/com_newsfeeds/toolbar.newsfeeds.html.php	2009-05-29 13:50:50.000000000 +0200
+++ 16/administrator/components/com_newsfeeds/toolbar.newsfeeds.html.php	2010-04-23 13:40:10.000000000 +0200
@@ -1,9 +1,9 @@
 <?php
 /**
-* @version		$Id: toolbar.newsfeeds.html.php 10381 2008-06-01 03:35:53Z pasamio $
+* @version		$Id: toolbar.newsfeeds.html.php 14401 2010-01-26 14:10:00Z louis $
 * @package		Joomla
 * @subpackage	Newsfeeds
-* @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
+* @copyright	Copyright (C) 2005 - 2010 Open Source Matters. All rights reserved.
 * @license		GNU/GPL, see LICENSE.php
 * Joomla! is free software. This version may have been modified pursuant
 * to the GNU General Public License, and as distributed it includes or
diff -aruN --binary 15/administrator/components/com_newsfeeds/toolbar.newsfeeds.php 16/administrator/components/com_newsfeeds/toolbar.newsfeeds.php
--- 15/administrator/components/com_newsfeeds/toolbar.newsfeeds.php	2009-05-29 13:50:50.000000000 +0200
+++ 16/administrator/components/com_newsfeeds/toolbar.newsfeeds.php	2010-04-23 13:40:10.000000000 +0200
@@ -1,9 +1,9 @@
 <?php
 /**
-* @version		$Id: toolbar.newsfeeds.php 10381 2008-06-01 03:35:53Z pasamio $
+* @version		$Id: toolbar.newsfeeds.php 14401 2010-01-26 14:10:00Z louis $
 * @package		Joomla
 * @subpackage	Newsfeeds
-* @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
+* @copyright	Copyright (C) 2005 - 2010 Open Source Matters. All rights reserved.
 * @license		GNU/GPL, see LICENSE.php
 * Joomla! is free software. This version may have been modified pursuant
 * to the GNU General Public License, and as distributed it includes or
diff -aruN --binary 15/administrator/components/com_plugins/controller.php 16/administrator/components/com_plugins/controller.php
--- 15/administrator/components/com_plugins/controller.php	2009-05-29 13:50:48.000000000 +0200
+++ 16/administrator/components/com_plugins/controller.php	2010-04-23 13:40:10.000000000 +0200
@@ -1,9 +1,9 @@
 <?php
 /**
- * @version		$Id: controller.php 11386 2009-01-04 02:34:35Z ian $
+ * @version		$Id: controller.php 14401 2010-01-26 14:10:00Z louis $
  * @package		Joomla
  * @subpackage	Config
- * @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
+ * @copyright	Copyright (C) 2005 - 2010 Open Source Matters. All rights reserved.
  * @license		GNU/GPL, see LICENSE.php
  * Joomla! is free software. This version may have been modified pursuant to the
  * GNU General Public License, and as distributed it includes or is derivative
diff -aruN --binary 15/administrator/components/com_plugins/plugins.php 16/administrator/components/com_plugins/plugins.php
--- 15/administrator/components/com_plugins/plugins.php	2009-05-29 13:50:48.000000000 +0200
+++ 16/administrator/components/com_plugins/plugins.php	2010-04-23 13:40:10.000000000 +0200
@@ -1,9 +1,9 @@
 <?php
 /**
-* @version		$Id: plugins.php 10381 2008-06-01 03:35:53Z pasamio $
+* @version		$Id: plugins.php 14401 2010-01-26 14:10:00Z louis $
 * @package		Joomla
 * @subpackage	Plugins
-* @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
+* @copyright	Copyright (C) 2005 - 2010 Open Source Matters. All rights reserved.
 * @license		GNU/GPL, see LICENSE.php
 * Joomla! is free software. This version may have been modified pursuant
 * to the GNU General Public License, and as distributed it includes or
diff -aruN --binary 15/administrator/components/com_plugins/views/plugin/view.html.php 16/administrator/components/com_plugins/views/plugin/view.html.php
--- 15/administrator/components/com_plugins/views/plugin/view.html.php	2009-05-29 13:50:46.000000000 +0200
+++ 16/administrator/components/com_plugins/views/plugin/view.html.php	2010-04-23 13:40:10.000000000 +0200
@@ -1,9 +1,9 @@
 <?php
 /**
-* @version		$Id: view.html.php 10381 2008-06-01 03:35:53Z pasamio $
+* @version		$Id: view.html.php 14401 2010-01-26 14:10:00Z louis $
 * @package		Joomla
 * @subpackage	Config
-* @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
+* @copyright	Copyright (C) 2005 - 2010 Open Source Matters. All rights reserved.
 * @license		GNU/GPL, see LICENSE.php
 * Joomla! is free software. This version may have been modified pursuant
 * to the GNU General Public License, and as distributed it includes or
diff -aruN --binary 15/administrator/components/com_plugins/views/plugins/view.html.php 16/administrator/components/com_plugins/views/plugins/view.html.php
--- 15/administrator/components/com_plugins/views/plugins/view.html.php	2009-05-29 13:50:46.000000000 +0200
+++ 16/administrator/components/com_plugins/views/plugins/view.html.php	2010-04-23 13:40:10.000000000 +0200
@@ -1,9 +1,9 @@
 <?php
 /**
-* @version		$Id: view.html.php 11655 2009-03-08 20:04:17Z willebil $
+* @version		$Id: view.html.php 14401 2010-01-26 14:10:00Z louis $
 * @package		Joomla
 * @subpackage	Config
-* @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
+* @copyright	Copyright (C) 2005 - 2010 Open Source Matters. All rights reserved.
 * @license		GNU/GPL, see LICENSE.php
 * Joomla! is free software. This version may have been modified pursuant
 * to the GNU General Public License, and as distributed it includes or
diff -aruN --binary 15/administrator/components/com_poll/controller.php 16/administrator/components/com_poll/controller.php
--- 15/administrator/components/com_poll/controller.php	2009-05-29 13:51:20.000000000 +0200
+++ 16/administrator/components/com_poll/controller.php	2010-04-23 13:40:10.000000000 +0200
@@ -1,9 +1,9 @@
 <?php
 /**
- * @version		$Id: controller.php 10381 2008-06-01 03:35:53Z pasamio $
+ * @version		$Id: controller.php 15096 2010-02-27 14:16:40Z ian $
  * @package		Joomla
  * @subpackage	Config
- * @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
+ * @copyright	Copyright (C) 2005 - 2010 Open Source Matters. All rights reserved.
  * @license		GNU/GPL, see LICENSE.php
  * Joomla! is free software. This version may have been modified pursuant to the
  * GNU General Public License, and as distributed it includes or is derivative
@@ -135,7 +135,7 @@
 				break;
 		}
 
-		$this->setRedirect($link);
+		$this->setRedirect($link, $msg);
 	}
 
 	function remove()
diff -aruN --binary 15/administrator/components/com_poll/elements/poll.php 16/administrator/components/com_poll/elements/poll.php
--- 15/administrator/components/com_poll/elements/poll.php	2009-05-29 13:51:20.000000000 +0200
+++ 16/administrator/components/com_poll/elements/poll.php	2010-04-23 13:40:10.000000000 +0200
@@ -1,8 +1,8 @@
 <?php
 /**
-* @version		$Id: poll.php 10381 2008-06-01 03:35:53Z pasamio $
+* @version		$Id: poll.php 14401 2010-01-26 14:10:00Z louis $
 * @package		Joomla
-* @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
+* @copyright	Copyright (C) 2005 - 2010 Open Source Matters. All rights reserved.
 * @license		GNU/GPL, see LICENSE.php
 * Joomla! is free software. This version may have been modified pursuant
 * to the GNU General Public License, and as distributed it includes or
diff -aruN --binary 15/administrator/components/com_poll/poll.php 16/administrator/components/com_poll/poll.php
--- 15/administrator/components/com_poll/poll.php	2009-05-29 13:51:20.000000000 +0200
+++ 16/administrator/components/com_poll/poll.php	2010-04-23 13:40:10.000000000 +0200
@@ -1,9 +1,9 @@
 <?php
 /**
-* @version		$Id: poll.php 10381 2008-06-01 03:35:53Z pasamio $
+* @version		$Id: poll.php 14401 2010-01-26 14:10:00Z louis $
 * @package		Joomla
 * @subpackage	Polls
-* @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
+* @copyright	Copyright (C) 2005 - 2010 Open Source Matters. All rights reserved.
 * @license		GNU/GPL, see LICENSE.php
 * Joomla! is free software. This version may have been modified pursuant
 * to the GNU General Public License, and as distributed it includes or
diff -aruN --binary 15/administrator/components/com_poll/tables/poll.php 16/administrator/components/com_poll/tables/poll.php
--- 15/administrator/components/com_poll/tables/poll.php	2009-05-29 13:51:20.000000000 +0200
+++ 16/administrator/components/com_poll/tables/poll.php	2010-04-23 13:40:10.000000000 +0200
@@ -1,9 +1,9 @@
 <?php
 /**
-* @version		$Id: poll.php 10381 2008-06-01 03:35:53Z pasamio $
+* @version		$Id: poll.php 14401 2010-01-26 14:10:00Z louis $
 * @package		Joomla
 * @subpackage	Polls
-* @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
+* @copyright	Copyright (C) 2005 - 2010 Open Source Matters. All rights reserved.
 * @license		GNU/GPL, see LICENSE.php
 * Joomla! is free software. This version may have been modified pursuant
 * to the GNU General Public License, and as distributed it includes or
